For the complete documentation index, see llms.txt. This page is also available as Markdown.

Models

Get Models

get

Lists the currently available models and provides basic information.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful Response

application/json
objectconst: listOptional

Type of the object.

Default: list
Other propertiesanyOptional
get/v1/models
GET /v1/models HTTP/1.1
Host: albert.api.etalab.gouv.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "object": "list",
  "data": [
    {
      "object": "model",
      "id": "text",
      "type": "text-generation",
      "aliases": [
        "model-alias",
        "model-alias-2"
      ],
      "created": 1,
      "owned_by": "text",
      "max_context_length": 1,
      "costs": {
        "prompt_tokens": 0,
        "completion_tokens": 0,
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Get Model

get

Get a model by name and provide basic information.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
modelstringRequired

The name of the model to get.

Responses
200

Successful Response

application/json
objectconst: modelOptional

Type of the object.

Default: model
idstringRequired

The model identifier, which can be referenced in the API endpoints.

typestring · enum · nullableOptional

The type of the model, which can be used to identify the model type.

Example: text-generationPossible values:
aliasesstring[]Optional

Aliases of the model. It will be used to identify the model by users.

Example: ["model-alias","model-alias-2"]
createdintegerRequired

Time of creation, as Unix timestamp.

owned_bystringRequired

The organization that owns the model.

max_context_lengthinteger · nullableOptional

Maximum amount of tokens a context could contains. Makes sure it is the same for all models.

Other propertiesanyOptional
get/v1/models/{model}
GET /v1/models/{model} HTTP/1.1
Host: albert.api.etalab.gouv.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "object": "model",
  "id": "text",
  "type": "text-generation",
  "aliases": [
    "model-alias",
    "model-alias-2"
  ],
  "created": 1,
  "owned_by": "text",
  "max_context_length": 1,
  "costs": {
    "prompt_tokens": 0,
    "completion_tokens": 0,
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Last updated

Was this helpful?